# NullDaoWorker Class Reference
[Root classes for building DAO hierarchies]

Cacheless DAO worker. More...

Inheritance diagram for NullDaoWorker:
[legend]

List of all members.

## Public Member Functions

| getById ($id)
| single object getters
| getByLogic (LogicalObject $logic)
| getByQuery (SelectQuery $query)
| getCustom (SelectQuery $query)
| getListByIds (array $ids)
| object's list getters
| getListByQuery (SelectQuery $query)
| getListByLogic (LogicalObject $logic)
| getPlainList ()
| getCustomList (SelectQuery $query)
| custom list getters
| getCustomRowList (SelectQuery $query)
| getQueryResult (SelectQuery $query)
| query result getters
| uncacheById ($id)
| uncachers
| uncacheByIds ($ids)
| uncacheByQuery (SelectQuery $query)
| uncacheLists ()

## Protected Member Functions

| cacheById (Identifiable $object, $expires=Cache::DO_NOT_CACHE)
| cachers
| cacheByQuery (SelectQuery $query, $object, $expires=Cache::DO_NOT_CACHE)
| getCachedById ($id)
| cache getters
| getCachedByQuery (SelectQuery $query)

## Detailed Description

Cacheless DAO worker.

See also:
  CommonDaoWorker for manual-caching one.
  SmartDaoWorker for transparent one.

Definition at line 20 of file NullDaoWorker.class.php.

## Member Function Documentation

NullDaoWorker::cacheById | ( | Identifiable $ | object,
|  | $ | expires = `Cache::DO_NOT_CACHE` |
| ) |  |  | `[protected]`

cachers

Reimplemented from CommonDaoWorker.

Definition at line 104 of file NullDaoWorker.class.php.

NullDaoWorker::cacheByQuery | ( | SelectQuery $ | query,
|  | $ | object,
|  | $ | expires = `Cache::DO_NOT_CACHE` |
| ) |  |  | `[protected]`

Reimplemented from CommonDaoWorker.

Definition at line 112 of file NullDaoWorker.class.php.

NullDaoWorker::getById | ( | $ | id | ) |

single object getters

Implements BaseDAO.

Definition at line 24 of file NullDaoWorker.class.php.

References Cache::DO_NOT_CACHE.

NullDaoWorker::getByLogic | ( | LogicalObject $ | logic | ) |

Implements BaseDAO.

Definition at line 29 of file NullDaoWorker.class.php.

References Cache::DO_NOT_CACHE.

NullDaoWorker::getByQuery | ( | SelectQuery $ | query | ) |

Implements BaseDAO.

Definition at line 34 of file NullDaoWorker.class.php.

References Cache::DO_NOT_CACHE.

NullDaoWorker::getCachedById | ( | $ | id | ) |

cache getters

Reimplemented from BaseDaoWorker.

Definition at line 147 of file NullDaoWorker.class.php.

NullDaoWorker::getCachedByQuery | ( | SelectQuery $ | query | ) | `[protected]`

Reimplemented from BaseDaoWorker.

Definition at line 152 of file NullDaoWorker.class.php.

NullDaoWorker::getCustom | ( | SelectQuery $ | query | ) |

Implements BaseDAO.

Definition at line 39 of file NullDaoWorker.class.php.

References Cache::DO_NOT_CACHE.

NullDaoWorker::getCustomList | ( | SelectQuery $ | query | ) |

custom list getters

Implements BaseDAO.

Definition at line 83 of file NullDaoWorker.class.php.

References Cache::DO_NOT_CACHE.

NullDaoWorker::getCustomRowList | ( | SelectQuery $ | query | ) |

Implements BaseDAO.

Definition at line 88 of file NullDaoWorker.class.php.

References Cache::DO_NOT_CACHE.

NullDaoWorker::getListByIds | ( | array $ | ids | ) |

object's list getters

Implements BaseDAO.

Definition at line 47 of file NullDaoWorker.class.php.

References getListByLogic(), and Expression::in().

Here is the call graph for this function:

NullDaoWorker::getListByLogic | ( | LogicalObject $ | logic | ) |

Implements BaseDAO.

Definition at line 70 of file NullDaoWorker.class.php.

References Cache::DO_NOT_CACHE.

Referenced by getListByIds().

NullDaoWorker::getListByQuery | ( | SelectQuery $ | query | ) |

Implements BaseDAO.

Definition at line 65 of file NullDaoWorker.class.php.

References Cache::DO_NOT_CACHE.

NullDaoWorker::getPlainList | ( |  | ) |

Implements BaseDAO.

Definition at line 75 of file NullDaoWorker.class.php.

References Cache::DO_NOT_CACHE.

NullDaoWorker::getQueryResult | ( | SelectQuery $ | query | ) |

query result getters

Implements BaseDAO.

Definition at line 96 of file NullDaoWorker.class.php.

References Cache::DO_NOT_CACHE.

NullDaoWorker::uncacheById | ( | $ | id | ) |

uncachers

Reimplemented from CommonDaoWorker.

Reimplemented in DalayedDropDaoWorker.

Definition at line 124 of file NullDaoWorker.class.php.

NullDaoWorker::uncacheByIds | ( | $ | ids | ) |

Reimplemented from CommonDaoWorker.

Definition at line 129 of file NullDaoWorker.class.php.

NullDaoWorker::uncacheByQuery | ( | SelectQuery $ | query | ) |

Reimplemented from BaseDaoWorker.

Definition at line 134 of file NullDaoWorker.class.php.

NullDaoWorker::uncacheLists | ( |  | ) |

Reimplemented from CommonDaoWorker.

Definition at line 139 of file NullDaoWorker.class.php.

The documentation for this class was generated from the following file:

- main/DAOs/Workers/NullDaoWorker.class.php